## python-typing-inspection 0.4.2

=== Makefile ===
.DEFAULT_GOAL := all

.PHONY: .uv  ## Check that uv is installed
.uv:
	@uv -V || echo 'Please install uv: https://docs.astral.sh/uv/getting-started/installation/'

.PHONY: install
install: .uv  ## Install package and dependencies for local development
	uv sync --frozen --all-groups
	uv run pre-commit install --install-hooks

.PHONY: test
test:
	uv run pytest --cov=typing_inspection

.PHONY: format
format:
	uv run ruff format
	uv run ruff check --fix --fix-only

.PHONY: format-diff
format-diff:
	uv run ruff format --diff

.PHONY: lint
lint:
	uv run ruff format --check
	uv run ruff check

.PHONY: lint-github
lint-github:
	uv run ruff check --output-format=github

.PHONY: typecheck
typecheck:
	uv run pyright

.PHONY: all
all: format lint typecheck test

## python-typing-inspection 0.4.1

=== debian/changelog ===
python-typing-inspection (0.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 May 2025 17:38:44 +0100

python-typing-inspection (0.4.0-2) unstable; urgency=medium

  * Source-only reupload.

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Apr 2025 12:19:03 +0100

python-typing-inspection (0.4.0-1) unstable; urgency=medium

  * Initial release (closes: #1102391).

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Apr 2025 00:25:50 +0100

=== debian/control ===
Source: python-typing-inspection
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Colin Watson <cjwatson@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-pytest <!nocheck>,
 python3-typing-extensions (>= 4.12.0),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/pydantic/typing-inspection
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-typing-inspection
Vcs-Git: https://salsa.debian.org/python-team/packages/python-typing-inspection.git
X-Style: black

Package: python3-typing-inspection
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Tools to inspect Python type annotations at runtime
 This package provides low-level functions to check if a variable is a
 "typing" object, and high-level introspection utilities used to inspect
 type annotations that take runtime edge cases into account.

## python-typing-inspection 0.4.2

=== debian/changelog ===
python-typing-inspection (0.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Oct 2025 10:42:23 +0100

python-typing-inspection (0.4.1-2) unstable; urgency=medium

  * Mark python3-typing-inspection Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Sun, 21 Sep 2025 00:23:22 +0100

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+Multi-Arch: foreign
 Description: Tools to inspect Python type annotations at runtime
  This package provides low-level functions to check if a variable is a
  "typing" object, and high-level introspection utilities used to inspect

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := typing-inspection

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/typing-inspection/typing_inspection-@ANY_VERSION@@ARCHIVE_EXT@
